LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XLibraryAccess Interface Referencepublished

provides access to additional scripting code. More...

`import"XLibraryAccess.idl";`

Inheritance diagram for XLibraryAccess:

## Public Member Functions
boolean | isFunction ([in] string aFunctionName)
| returns `TRUE`, if the function is accessible through this library; otherwise it returns `FALSE`. More...
boolean | isValidPath ([in] string aPathName)
| returns `TRUE` if a fully qualified function name begins with this name. More...
sequence< string > | getModuleNames ()
| Return all module names which contain code. More...
string | getModuleSource ([in] string aModulName)
| get the source code of a module. More...
sequence< byte > | getModuleCode ([in] string aModuleName)
| Get the whole compiled code of a module. More...
string | getFunctionSource ([in] string aFunctionName)
| get the source code of a function. More...
sequence< byte > | getFunctionCode ([in] string FunctionName)
| Get the compiled code of a function. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to additional scripting code.

This code is organized in modules and these modules contain the functions. It is possible to get just the code from a function, but you can also get the whole code of a module with all functions in it.

Deprecated:

## Member Function Documentation

## ◆ getFunctionCode()

sequence< byte > getFunctionCode | ( | [in] string | FunctionName | ) |

Get the compiled code of a function.

Parameters

  FunctionName | the full qualified name of a function. (e.g., "UtilLibrary.ModuleDate.Function.CurrentDate")

Returns
  an empty sequence, if this function is not found.

## ◆ getFunctionSource()

string getFunctionSource | ( | [in] string | aFunctionName | ) |

get the source code of a function.

## ◆ getModuleCode()

sequence< byte > getModuleCode | ( | [in] string | aModuleName | ) |

Get the whole compiled code of a module.

Parameters

  aModuleName | the full qualified name of a module. (e.g., "UtilLibrary.ModuleDate")

Returns
  an empty sequence, if this module is not found or the code is not compiled.

## ◆ getModuleNames()

sequence< string > getModuleNames | ( |  | ) |

Return all module names which contain code.

e.g., { "UtilLibrary.ModuleDate", "UtilLibrary.Output", ... }

## ◆ getModuleSource()

string getModuleSource | ( | [in] string | aModulName | ) |

get the source code of a module.

## ◆ isFunction()

boolean isFunction | ( | [in] string | aFunctionName | ) |

returns `TRUE`, if the function is accessible through this library; otherwise it returns `FALSE`.

        @param aFunctionName
        the fully qualified name of a function.
        (e.g., "UtilLibrary.ModuleDate.FunctionCurrentDate")

## ◆ isValidPath()

boolean isValidPath | ( | [in] string | aPathName | ) |

returns `TRUE` if a fully qualified function name begins with this name.

        @param aPathName
        a part of a function name (e.g., "UtilLibrary").

The documentation for this interface was generated from the following file:

- com/sun/star/script/XLibraryAccess.idl